> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/v1/deposits-api/streamline-api/deposit-status-endpoint.md).

# Deposit Status Endpoint

Retrieve the status of a previously created deposit

### Deposit Status

<mark style="color:green;">`POST`</mark> `https://api-stg.directa24.com/apd/webpaystatus`

This endpoint allows you to retrieve the status of a deposit

**Headers**

| Name                                           | Type   | Description                       |
| ---------------------------------------------- | ------ | --------------------------------- |
| Content-Type<mark style="color:red;">\*</mark> | string | application/x-www-form-urlencoded |

**Request Body**

| Name                                            | Type   | Description                                                                                                                                              |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| x\_login<mark style="color:red;">\*</mark>      | string | Your Easy Cashouts API WEB STATUS API Key, found on the Merchant Panel by going to Settings -> API Access -> Web Status Credentials -> API Key           |
| x\_trans\_key<mark style="color:red;">\*</mark> | string | Your Easy Cashouts API WEB STATUS API Passphrase, found on Merchant Panel by going to Settings -> API Access -> Web Status Credentials -> API Passphrase |
| x\_invoice<mark style="color:red;">\*</mark>    | string | The transaction's ID in your end to verify its status                                                                                                    |
| type                                            | string | The format of the response: JSON, XML or STRING. If none is specified the response will be a pipe separated string                                       |

{% tabs %}
{% tab title="200 Success response" %}
{% tabs %}
{% tab title="Deposit OK" %}

```java
{
"result": "9",
"x_iduser": "4-8639937875866184408",
"x_invoice": "postmanTest3426757",
"x_amount": "2400.00",
"PT": "1",
"Sign": "<SIGNATURE>",
"x_document": "300571838",
"x_bank": "RE",
"x_payment_type": "02",
"x_bank_name": "Red Pagos",
"x_currency": "UYU"
}

```

{% endtab %}

{% tab title="Deposit Not Found" %}

```java
{
"result": "6",
"x_iduser": "0",
"x_invoice": "test4568",
"x_amount": "0",
"PT": "0",
"Sign": "<SIGNATURE>",
"x_document": "-1",
"x_bank": " ",
"x_payment_type": "0",
"x_bank_name": " ",
"x_currency": " "
}

```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

{% hint style="info" %}
All the requests must be in x-www-form-urlencoded format and contain the following header:

`Content-Type: application/x-www-form-urlencoded`
{% endhint %}

### Example Request

{% tabs %}
{% tab title="cURL" %}

```javascript
curl -X POST \
https://api-stg.directa24.com/apd/webpaystatus \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'x_login=API_KEY&x_trans_key=API_PASSPHRASE&x_invoice=74170514&type=json'

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api-stg.directa24.com/apd/webpaystatus",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "x_login=X_LOGIN&x_trans_key=X_TRANS_KEY&x_invoice=74170514&type=json",
CURLOPT_HTTPHEADER => array(
"Content-Type: application/x-www-form-urlencoded"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);

```

{% endtab %}

{% tab title="JAVA" %}

```java
OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/x-www-form-urlencoded");
RequestBody body = RequestBody.create(mediaType, "x_login=X_LOGIN&x_trans_key=X_TRANS_KEY&x_invoice=74170514&type=json");
Request request = new Request.Builder()
.url("https://api-stg.directa24.com/apd/webpaystatus")
.post(body)
.addHeader("Content-Type", "application/x-www-form-urlencoded")
.build();
Response response = client.newCall(request).execute();

```

{% endtab %}

{% tab title="C#" %}

```csharp
var client = new RestClient("https://api-stg.directa24.com/apd/webpaystatus");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/x-www-form-urlencoded");
request.AddParameter("application/x-www-form-urlencoded", "x_login=X_LOGIN&x_trans_key=X_TRANS_KEY&x_invoice=74170514&type=json", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);

```

{% endtab %}
{% endtabs %}

### **Example Response**

{% tabs %}
{% tab title="Success Response" %}

```javascript
{
"result": "9",
"x_iduser": "598287267",
"x_invoice": "MP_96ddb6ab85a347469e326887e6708182",
"x_amount": "3.00",
"PT": "0",
"Sign": "<SIGNATURE>",
"x_document": "199702505",
"x_bank": "VI",
"x_payment_type": "03",
"x_bank_name": "Visa",
"x_currency": "USD",
"x_approval_detail": "Merchant Test",
"card_number": "410377******2126"
}
```

{% endtab %}

{% tab title="Deposit Not Found Response" %}

```javascript
{
"result": "6",
"x_iduser": "0",
"x_invoice": "MP_96ddb6ab8ff5a347469e326887e6708182",
"x_amount": "0",
"PT": "0",
"Sign": "<SIGNATURE>",
"x_document": "-1",
"x_bank": " ",
"x_payment_type": "0",
"x_bank_name": " ",
"x_currency": " "
}
```

{% endtab %}
{% endtabs %}

### **Request fields description**

| Field         | Format                   | Description                                                                                                                     |
| ------------- | ------------------------ | ------------------------------------------------------------------------------------------------------------------------------- |
| x\_login      | string (max length: 32)  | Your Easy Cashouts API **WEB STATUS** API Key, found on Settings -> API Access.                                                 |
| x\_trans\_key | string (max length: 32)  | Your Easy Cashouts API **WEB STATUS** API Passphrase, found on Settings -> API Access.                                          |
| x\_invoice    | string (max length: 125) | The transaction's ID in your end to verify its status                                                                           |
| type          | string (max length: 20)  | The format of the response: **JSON**, **XML** or **STRING**. If none is specified the response will be a pipe separated string. |

### Response fields description

| Field               | Description                                                                                                                    |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| result              | Transaction status. [See possible status codes](https://docs.directa24.com/v1/deposits-api/api-codes#deposits-status-codes)    |
| x\_iduser           | Unique user ID in your side                                                                                                    |
| x\_invoice          | Unique identification for the transaction in your end                                                                          |
| x\_amount           | Payment's amount                                                                                                               |
| PT                  | Indicates whether the transaction was created with Test purposes or not, with the values: **0** for Production, **1** for Test |
| Sign                | Control signature                                                                                                              |
| x\_document         | Unique transaction's ID at Easy Cashouts API's end                                                                             |
| x\_bank             | Payment Method code. [See Payment Method codes](https://docs.directa24.com/deposits/payment-methods)                           |
| x\_payment\_type    | Payment type. [See payment types](https://docs.directa24.com/v1/deposits-api/api-codes#payment-types)                          |
| x\_bank\_name       | Payment Method name                                                                                                            |
| x\_currency         | Transaction's currency in ISO 4217                                                                                             |
| x\_approval\_detail | Deposit's description                                                                                                          |
| card\_number        | Credit Card info                                                                                                               |

####

### **Control signature of the Webpaystatus Response**

{% tabs %}
{% tab title="PHP" %}

```php
<?php
$message = $x_login . $result . $x_amount . $x_invoice ;
$Sign = strtoupper(hash_hmac('sha256', pack('A*', $message), pack('A*', $secretKey)));
?>

```

{% endtab %}

{% tab title="JAVA" %}

```java
String message = x_login + result + x_amount + x_invoice;
Mac hasher = Mac.getInstance("HmacSHA256");
hasher.init(new SecretKeySpec(secretKey.getBytes(), "HmacSHA256"));

String Sign = Base64.encodeBase64String(hasher.doFinal(message.getBytes())).toUpperCase();

```

{% endtab %}

{% tab title="C#" %}

```csharp
string message = x_login + result + x_amount + x_invoice;
byte[] keyByte = new ASCIIEncoding().GetBytes(secretKey);
byte[] messageBytes = new ASCIIEncoding().GetBytes(message);
byte[] hashmessage = new HMACSHA256(keyByte).ComputeHash(messageBytes);

string Sign = BitConverter.ToString(hashmessage).Replace("-", "").ToUpper();

```

{% endtab %}
{% endtabs %}

The response control signature includes the following fields:

* x\_login - your DEPOSITS API Key which can be found in the Merchant Panel by going to *Settings -> API Access -> Deposit Credentials -> API Key*
* result
* x\_amount
* x\_invoice
* secretKey - your DEPOSITS Signature Key which can be found in the Merchant Panel by going to Settings -> API Access -> Deposit Credentials -> API Signature

### Status Flow

[Click here](https://docs.directa24.com/v1/deposits-api/api-codes#deposits-status-codes) to see each Deposit Status meaning.

#### Hosted Checkout Status Flow

![Deposit Status Flow for the Streamline and Hybrid APIs](https://3883333839-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff92vedEnowdVWbjM4Cmd%2Fuploads%2FyXvxuURgjktP9SoehTBp%2Fdeposit%20request%20status%20flow%20v1.svg?alt=media\&token=0dee1c20-d005-4fa7-8041-30c54b895414)

{% hint style="info" %}

1. The DECLINED status is not a status by itself. It means the transaction couldn't be created because of an error with the data, the customer or the merchant configuration. No transaction will change its status from DECLINED.
2. COMPLETED and CANCELLED\* are final status.
3. \*There are cases in which the users pays after the deposit expired, or payed an incorrect amount and the deposit gets expired. When that happens manual intervention is required to approve the deposit hence a deposit could change its status from CANCELLED to COMPLETED.
4. If the user doesn't pays, the transaction will expire and be marked as CANCELLED.
5. No transaction will change from COMPLETED to CANCELLED.
   {% endhint %}

### Status codes

Check all the possible status in the following page:

* [API Codes](https://docs.directa24.com/v1/deposits-api/api-codes)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pandablue.com/v1/deposits-api/streamline-api/deposit-status-endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
